using MoYu.DataValidation;
using System.ComponentModel.DataAnnotations;

namespace SafeCampus.Application.Services.Business.CameraInfoService;

public class SetGroupInput
{
    /// <summary>
    /// 分组Id
    /// </summary>
    [IdNotNull(ErrorMessage = "Id不能为空")]
    [DataValidation(ValidationTypes.Numeric)]
    public virtual long Id { get; set; }
    /// <summary>
    /// 摄像头Id列表
    /// </summary>
    [IdsNotNull(ErrorMessage = "IdList不能为空")]
    public List<long> Ids { get; set; } = new List<long>();
}